"use strict";
this.name        = "BroadcastCommsMFD_Equipment";
this.author      = "phkb and Zireael";
this.copyright   = "2015 phkb and Zireael";
this.description = "Controls the selection and transmission of messages through the Broadcast Comms multi-function display.";
this.licence     = "CC BY-NC-SA 4.0";

this.activated = function() {
	var w = worldScripts.BroadcastCommsMFD;
	// transmit selected message
	if (w._selectedMsg >= 0) w.$transmit();
	this.$playSound("activate");
}

this.mode = function() {
	var w = worldScripts.BroadcastCommsMFD;
	// change the selected message
	if (w._selectedMsg < w.$maxMessages()) w._selectedMsg += 1;
	// if we've gone past the end, go back to the beginning
	if (w._selectedMsg == w.$maxMessages()) w._selectedMsg = 0;
	// refresh the MFD
	w.$updateView(true);
	this.$playSound("mode");
}

//-------------------------------------------------------------------------------------------------------------
// play the buy/sell sound effects
this.$playSound = function(soundtype) {
	var mySound = new SoundSource;

	switch (soundtype) {
		case "mode":
			mySound.sound = "[@click]";
			break;
		case "activate":
			mySound.sound = "[@switch-on]";
			break;
		case "stop":
			mySound.sound = "[@boop]";
			break;
	}
	mySound.loop = false;
	mySound.play();
}
